Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
_NAMESPACE_.MadText Class Reference
Inheritance diagram for _NAMESPACE_.MadText:

## Public Member Functions
override Rect | GetBounds ()
override bool | CanDraw ()
override void | DrawOn (ref MadList< Vector3 > vertices, ref MadList< Color32 > colors, ref MadList< Vector2 > uv, ref MadList< int > triangles, out Material material)
Public Member Functions inherited from _NAMESPACE_.MadSprite
void | TryFocus ()
void | SetMaterial (string shader, SetupShader setupShader)
void | DrawOnRegular (ref MadList< Vector3 > vertices, ref MadList< Color32 > colors, ref MadList< Vector2 > uv, ref MadList< int > triangles)
void | DrawOnQuad (ref MadList< Vector3 > vertices, ref MadList< Color32 > colors, ref MadList< Vector2 > uv, ref MadList< int > triangles)
void | ResizeToTexture ()
void | MinMaxDepthRecursively (out int min, out int max)
void | RecalculateLiveBounds ()
void | AnimScale (Vector3 from, Vector3 to, float time, MadiTween.EaseType easing)
void | AnimScaleTo (Vector3 scale, float time, MadiTween.EaseType easing)
void | AnimMove (Vector3 from, Vector3 to, float time, MadiTween.EaseType easing)
void | AnimMoveTo (Vector3 target, float time, MadiTween.EaseType easing)
void | AnimRotate (Vector3 from, Vector3 to, float time, MadiTween.EaseType easing)
void | AnimRotateTo (Vector3 rotation, float time, MadiTween.EaseType easing)
void | AnimColor (Color from, Color to, float time, MadiTween.EaseType easing)
void | AnimColorTo (Color color, float time, MadiTween.EaseType easing)
delegate void | Action (MadSprite sprite)
delegate void | SetupShader (Material material)
Public Member Functions inherited from _NAMESPACE_.MadNode
T | CreateChild< T > (string name)
T | CreateChild< T > (string name, T template)
MadNode | CreateChild (string name, GameObject template)
T | FindParent< T > ()

## Public Attributes
MadFont | font
string | text = ""
float | scale = 24
float | letterSpacing = 1
Public Attributes inherited from _NAMESPACE_.MadSprite
bool | visible = true
bool | editorSelectable = true
PivotPoint | pivotPoint = PivotPoint.Center
Color | tint = Color.white
Texture2D | texture
Vector2 | textureOffset
Vector2 | textureRepeat = new Vector2(1, 1)
int | guiDepth
EventFlags | eventFlags = EventFlags.All
float | liveLeft = 0
FillType | fillType
float | fillValue = 1
Public Attributes inherited from _NAMESPACE_.MadNode
bool | managed

## Protected Member Functions
new void | OnEnable ()
Protected Member Functions inherited from _NAMESPACE_.MadSprite
virtual void | Start ()
void | Update ()
Matrix4x4 | PanelToSelfMatrix ()
void | UpdatePivotPoint ()
Vector3 | PivotPointTranslate (Vector3 p, Rect bounds)

## Additional Inherited Members
Public Types inherited from _NAMESPACE_.MadSprite
enum | PivotPoint { BottomLeft, TopLeft, TopRight, BottomRight, Left, Top, Right, Bottom, Center }
enum | FillType { None, LeftToRight, RightToLeft, BottomToTop, TopToBottom, ExpandHorizontal, ExpandVertical, RadialCW, RadialCCW }
enum | EventFlags { None = 0, EventFlags.MouseHover = 1, EventFlags.MouseClick = 2, EventFlags.FingerTap = 4, EventFlags.Focus = 8, All = 15 }
Protected Attributes inherited from _NAMESPACE_.MadSprite
float | left
Properties inherited from _NAMESPACE_.MadSprite
Vector2 | size`[get, set]`
Vector2 | scalePixels`[set]`
bool | hasFocus`[get, set]`
| Gets or sets a value indicating whether this MadSprite has focus. When other sprite is currently focused, it's focus will be lost. More...
Action | onMouseEnter`[get, set]`
Action | onMouseExit`[get, set]`
Action | onMouseDown`[get, set]`
Action | onMouseUp`[get, set]`
Action | onTap`[get, set]`
Action | onFocus`[get, set]`
Action | onFocusLost`[get, set]`
Properties inherited from _NAMESPACE_.MadNode
static bool | Instantiating`[get, set]`

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Mad2D/MadText.cs